Subject: Re: [tcpm] TCP checksum issues?

From: Yuchung Cheng <[email-masked]>
Date: Fri, 9 Aug 2013 12:16:56 -0700

On Fri, Aug 9, 2013 at 12:02 PM, Joe Touch <[email-masked]> wrote:
>
>
> On Aug 9, 2013, at 11:58 AM, Joe Touch <[email-masked]> wrote:
>
>>
>>
>> On 8/9/2013 10:33 AM, Yuchung Cheng wrote:
>>> This paper has some interesting analysis
>>> http://conferences.sigcomm.org/sigcomm/2000/conf/paper/sigcomm2000-9-1.pdf
>>>
>>> ""After an analysis we conclude that the checksum will fail to detect
>>> errors for roughly 1 in 16 million to 10 billion packets. From our
>>> analysis of the cause of errors""
>>>
>>> It's no longer a small chance given the Web page size today.
>>
>> 16 million would be 22 megabytes, but that TCP isn't the only place that errors are detected.
>
> Make that gigabytes. Which I also doubt is a common web anything.
Yeah I thought so too. But the fact this is raised in the httpbis/tsv
joint meeting means I was wrong.

This is the exact point of having more joint meeting to bridge httpbis/tsv.

>
>> There's the link layer on each link, and the application layer. It's not clear that we actually do need to rely on TCP to detect such problems.
>>
>> However, if that's not enough, simply using security (IPsec, TLS) would protected much better.
>>
>> Joe